## hid-dkms 1.0.6-maverick-mactel1

=== Makefile ===
NAME	= hid
VERSION	= 1.0.6
SRC	= usr/src
DKMSSRC	= $(SRC)/dkms_source_tree

TARBALL	= $(NAME)-$(VERSION).dkms.tar.gz
PATCH	= ./scripts/patch-name-version.sh $(NAME) $(VERSION)

all:	$(SRC)/$(TARBALL)

$(SRC)/$(TARBALL): $(DKMSSRC)/$(NAME)-input.c
	(cd $(SRC); tar cvfz $(TARBALL) dkms*)

clean:
	rm -f $(SRC)/$(TARBALL)

distclean: clean
	rm -rf *-stamp debian/$(NAME)-dkms debian/*.log debian/files

install: $(SRC)/$(TARBALL)
	install -d "$(DESTDIR)/$(SRC)"
	(cd $(SRC); install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(DESTDIR)/$(SRC)")

bump:
	uname -r > $(DKMSSRC)/KERNEL_SOURCE_VERSION
	$(PATCH) debian/postinst
	$(PATCH) debian/postrm
	$(PATCH) debian/prerm
	$(PATCH) debian/rules
	$(PATCH) debian/postinst
	$(PATCH) $(DKMSSRC)/dkms.conf
	chmod 0755 debian/rules

=== usr/src/dkms_source_tree/Makefile ===
#
# Makefile for the HID driver
#
hid-objs			:= hid-core.o hid-input.o

ifdef CONFIG_DEBUG_FS
	hid-objs		+= hid-debug.o
endif

obj-$(CONFIG_HID)		+= hid.o

hid-$(CONFIG_HIDRAW)		+= hidraw.o

=== debian/changelog ===
hid-dkms (1.0.6-maverick-mactel1) maverick; urgency=low

  * Add support for MacBookAir 3

 -- Henrik Rydberg <rydberg@bitmath.org>  Thu, 04 Nov 2010 14:34:04 +0100

hid-dkms (1.0.5) maverick; urgency=low

  * Add support for Wetab

 -- Henrik Rydberg <rydberg@bitmath.org>  Thu, 04 Nov 2010 10:33:51 +0100

hid-dkms (1.0.4) maverick; urgency=low

  * Fixes for Asus T91MT and Acer Aspire 1420P

 -- Henrik Rydberg <rydberg@bitmath.org>  Mon, 01 Nov 2010 20:47:53 +0100

hid-dkms (1.0.3) maverick; urgency=low

  * Route the Joojoo tablet to the special driver

 -- Henrik Rydberg <rydberg@euromail.se>  Wed, 22 Sep 2010 13:15:18 +0200

hid-dkms (1.0.2) maverick; urgency=low

  * Package numbering fix

 -- Henrik Rydberg <rydberg@euromail.se>  Mon, 30 Aug 2010 23:49:34 +0200

hid-dkms (1.0.1) maverick; urgency=low

  * Conflict with multitouch-kernel-source

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 30 Aug 2010 15:39:54 -0400

hid-dkms (1.0.0) maverick; urgency=low

  * Upgrade to maverick 2.6.36-19-generic

 -- Henrik Rydberg <rydberg@euromail.se>  Mon, 30 Aug 2010 15:17:21 +0200

hid-dkms (0.11.1) unstable; urgency=low

  * Upgrade to intrepid 2.6.27-8.17

 -- Henrik Rydberg <rydberg@euromail.se>  Sun, 16 Nov 2008 02:35:19 +0100

hid-dkms (0.11.0) unstable; urgency=low

  * Add autoinstaller directive

 -- Henrik Rydberg <rydberg@euromail.se>  Sun, 16 Nov 2008 01:41:16 +0100

hid-dkms (0.10.2) unstable; urgency=low

  * Map FN+ENTER to INSERT
  * Automatically update the ramdisk

 -- Henrik Rydberg <rydberg@euromail.se>  Wed, 29 Oct 2008 20:33:08 +0100

hid-dkms (0.10.1) unstable; urgency=low

  * Map Expose/Dashboard to CYCLEWINDOWS/CALC function keys

 -- Henrik Rydberg <rydberg@euromail.se>  Wed, 29 Oct 2008 20:33:08 +0100

=== debian/control ===
Source: hid-dkms
Section: misc
Priority: optional
Maintainer: Henrik Rydberg <rydberg@euromail.se>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Homepage: http://bitmath.org/code/hid-dkms/

Package: hid-dkms
Architecture: all
Depends: dkms (>= 1.95), bash (>> 1.99)
Conflicts: multitouch-kernel-source
Description: Supplementary hid support
 This driver supplements the apple function key mapping with useful
 defaults for the Expose (FN+F3), Dashboard (FN+F4) and Insert
 (FN+Enter) keys.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NAME=hid
VERSION=1.0.6

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
